Name:		mod_security_crs
Version:	2.2.2
Release:	2%{?dist}
Summary:	Security module for the Apache HTTP Server

Group:		System Environment/Daemons
License:	GPLv2
URL:		http://www.modsecurity.org/
Source0:	http://downloads.sourceforge.net/project/mod-security/modsecurity-crs/0-CURRENT/modsecurity-crs_%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

#BuildRequires:	
Requires:	mod_security >= 2.6.2
BuildArch:	noarch

%description
ModSecurity is an open source intrusion detection and prevention engine
for web applications. It operates embedded into the web server, acting
as a powerful umbrella - shielding web applications from attacks.

%prep
%setup -q -n modsecurity-crs_%{version}


#build

%install
rm -rf $RPM_BUILD_ROOT

for f in `find . -name \*.pl`
do
	sed -i 's#/opt/local/bin/perl#/usr/bin/perl#g;' $f
done

install -d $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/
install -d $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/activated_rules/
install -d $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/base_rules/
install -d $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/experimental_rules/
install -d $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/lua/
install -d $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/optional_rules/
install -d $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/slr_rules/

#install -D -m644 activated_rules/* $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/activated_rules/
install -D -m644 base_rules/* $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/base_rules/
install -D -m644 experimental_rules/* $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/experimental_rules/
install -D -m644 lua/* $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/lua/
install -D -m644 optional_rules/* $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/optional_rules/
install -D -m644 slr_rules/* $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/slr_rules/
install -D -m644 modsecurity_crs_10_config.conf.example $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/modsecurity_crs_10_config.conf

#cp -R rules/base_rules $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/
#cp -R rules/optional_rules $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/
#install -D -m644 modsecurity.conf-recommended $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/modsecurity.conf
#install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/modsecurity.d/modsecurity_localrules.conf
#install -Dp mlogc/mlogc $RPM_BUILD_ROOT/%{_bindir}/mlogc
#install -D -m644 apache2/mlogc-src/mlogc-default.conf $RPM_BUILD_ROOT/%{_sysconfdir}/mlogc.conf


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc util CHANGELOG INSTALL LICENSE README
%dir %{_sysconfdir}/httpd/modsecurity.d
%{_sysconfdir}/httpd/modsecurity.d/optional_rules
%{_sysconfdir}/httpd/modsecurity.d/base_rules
%{_sysconfdir}/httpd/modsecurity.d/activated_rules
%{_sysconfdir}/httpd/modsecurity.d/experimental_rules
%{_sysconfdir}/httpd/modsecurity.d/lua
%{_sysconfdir}/httpd/modsecurity.d/slr_rules
%config(noreplace) %{_sysconfdir}/httpd/modsecurity.d/modsecurity_crs_10_config.conf

%changelog
* Tue Oct 05 2011 momo-i <webmaster@momo-i.org> - 2.2.2-2
- Fixed perl path.

* Tue Oct 05 2011 momo-i <webmaster@momo-i.org> - 2.2.2-1
- Update for 2.2.2

* Sat Aug 27 2011 momo-i <webmaster@momo-i.org> - 2.2.1-1
- Update for 2.2.1

* Mon Jun 6 2011 momo-i <webmaster@momo-i.org> - 2.2.0-1
- Initial rpm release.
